Loading...
Searching...
No Matches
GLRenderVisitor Class Reference

Visitor that takes care of rendering the scene. More...

`#include <glrendervisitor.h>`

Inheritance diagram for GLRenderVisitor:

## Public Member Functions

| GLRenderVisitor (const Camera &camera=Camera(), const TextRenderStrategy *trs=nullptr)
void | visit (Node &) override
void | visit (GroupNode &) override
void | visit (GeometryNode &) override
void | visit (Drawable &) override
void | visit (SphereGeometry &) override
void | visit (AmbientOcclusionSphereGeometry &) override
void | visit (CurveGeometry &) override
void | visit (CylinderGeometry &) override
void | visit (MeshGeometry &) override
void | visit (TextLabel2D &geometry) override
void | visit (TextLabel3D &geometry) override
void | visit (LineStripGeometry &geometry) override
void | visit (WideLineGeometry &geometry) override
void | setCamera (const Camera &camera_)
Camera | camera () const
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const
void | setTextRenderStrategy (TextRenderStrategy *trs)
const TextRenderStrategy * | textRenderStrategy () const

## Detailed Description

<avogadro/rendering/glrendervisitor.h>

Author
  Marcus D. Hanwell

This visitor will render elements in the scene.

## Member Function Documentation

## setRenderPass()

void setRenderPass | ( | RenderPass | pass | ) |

The current stage of a multipass rendering.

See also
  Rendering::RenderPass

## renderPass()

RenderPass renderPass | ( |  | ) | const

The current stage of a multipass rendering.

See also
  Rendering::RenderPass

## visit() [1/13]

void visit | ( | Node & |  | ) |

override virtual

The overloaded visit functions, the base versions of which do nothing.

Reimplemented from Visitor.

## visit() [2/13]

void visit | ( | GroupNode & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [3/13]

void visit | ( | GeometryNode & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [4/13]

void visit | ( | Drawable & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [5/13]

void visit | ( | SphereGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [6/13]

void visit | ( | AmbientOcclusionSphereGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [7/13]

void visit | ( | CurveGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [8/13]

void visit | ( | CylinderGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [9/13]

void visit | ( | MeshGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [10/13]

void visit | ( | TextLabel2D & | geometry | ) |

override virtual

Reimplemented from Visitor.

## visit() [11/13]

void visit | ( | TextLabel3D & | geometry | ) |

override virtual

Reimplemented from Visitor.

## visit() [12/13]

void visit | ( | LineStripGeometry & | geometry | ) |

override virtual

Reimplemented from Visitor.

## visit() [13/13]

void visit | ( | WideLineGeometry & | geometry | ) |

override virtual

Reimplemented from Visitor.

## setTextRenderStrategy()

void setTextRenderStrategy | ( | TextRenderStrategy * | trs | ) |

A TextRenderStrategy implementation used to render text for annotations. If nullptr, no text will be produced.

## textRenderStrategy()

const TextRenderStrategy * textRenderStrategy | ( |  | ) | const

A TextRenderStrategy implementation used to render text for annotations. If nullptr, no text will be produced.

The documentation for this class was generated from the following file:

- glrendervisitor.h